Sign up now! · Forgot password?
RSS/Atom feed Twitter

Perl 5.8.0 w/ithreads

This discussion is connected to the gimp-user-list.gnome.org mailing list which is provided by the GIMP developers and not related to gimpusers.com.

2 of 3 messages available
Toggle history

Please log in to manage your subscriptions.

mailman.1072.1040832494.142... 07 Oct 20:15
  Perl 5.8.0 w/ithreads Greg Oliver 14 Jan 02:49
   Perl 5.8.0 w/ithreads William Kenworthy 14 Jan 14:29
Greg Oliver
2003-01-14 02:49:18 UTC (over 17 years ago)

Perl 5.8.0 w/ithreads

Is there a trick to get Gimp 1.2.3 to compile with perl 5.8.0-ithreads. I can successfully compile PDL, but when compiling Gimp, it gets the Lib.xs errors from the 5.6.0 thread days I have been reading about. I can find no reference to the problem with Perl 5.8 though.

Just wondering if the problem is back with the new Perl?

Thanks

-Greg

William Kenworthy
2003-01-14 14:29:42 UTC (over 17 years ago)

Perl 5.8.0 w/ithreads

Had that: once you run the lib regenerate script after the upgrade, I had to go back and compile libperl and perl a second time before it would work. As well as gimp, vim came up with the same errors!

BillK

On Tue, 2003-01-14 at 09:49, Greg Oliver wrote:

Is there a trick to get Gimp 1.2.3 to compile with perl 5.8.0-ithreads. I can successfully compile PDL, but when compiling Gimp, it gets the Lib.xs errors from the 5.6.0 thread days I have been reading about. I can find no reference to the problem with Perl 5.8 though.

Just wondering if the problem is back with the new Perl?

Thanks

-Greg